/*----------------------------------------------------------------------------*/
/* atmospheric model: approximation of emission intensity                     */
/*----------------------------------------------------------------------------*/

#ifndef ATMOS_H
#define ATMOS_H

#if 0
float intensity_table_630nm[];
float intensity_table_557nm[];
float intensity_table_427nm[];
float intensity_table_arcs[];
float intensity_table_rayed_arcs[];
float intensity_table_draperies[];
float intensity_table_rays[];
#endif

/* photon emission intensities (normalised) as a function of altitude */

void atmos_set_intensity_profile(int i);
float *atmos_get_intensity_profile();
float *atmos_get_profile_630nm();
float *atmos_get_profile_557nm();
float *atmos_get_profile_427nm();
float lookup_spec_intensity(float *table, float alt);
float lookup_glob_intensity(float *table, float alt);

#endif
